[android-components](../../index.md) / [mozilla.components.browser.domains](../index.md) / [CustomDomains](index.md) / [remove](./remove.md)

# remove

`fun remove(context: `[`Context`](https://developer.android.com/reference/android/content/Context.html)`, domains: `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`>): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/domains/src/main/java/mozilla/components/browser/domains/CustomDomains.kt#L62)

Removes the provided domain from preferences.

### Parameters

`context` - the application context

`domains` - the domain to remove